<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.17 Update #1                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2013 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.98.131123-190401                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Templates
 * @copyright (C) 2002-2013 Esselbach Internet Solutions
 */

/**
 * function AdminManageTemplates
 * A function to manage templates
 * @author Philipp Louis Esselbach
 */
function AdminManageTemplates( $opts )
{
	global $database, $system, $html, $ipaddr, $security, $preferences, $config, $words_templates;
	$options = explode( "-", $opts );
	$options[ 0 ] = ( isset( $options[ 0 ] ) ) ? $security -> checkvar( $options[ 0 ] ) : "" ;
	$options[ 1 ] = ( isset( $options[ 1 ] ) ) ? $security -> checknum( $options[ 1 ] ) : "" ;
	$options[ 2 ] = ( isset( $options[ 2 ] ) ) ? $security -> checkvar( $options[ 2 ] ) : "" ;
	$options[ 3 ] = ( isset( $options[ 3 ] ) ) ? $security -> checkvar( $options[ 3 ] ) : "" ;

	if( $options[ 0 ] )
	{
		if( ( $system -> adminhashget() != $options[ 2 ] ) and( $preferences[ 'website_subsessions_admin' ] ) )
		{
			$html -> login( $words_templates[ 'ERROR' ], $words_templates[ 'INVALID_SESSION' ], "index.php" );
			exit;
		}
	}

	if( $options[ 0 ] == "previewtemplate" )
	{
		$query = $database -> dbquery( "SELECT template_set, template_name, template_html FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_id = '" . $options[ 1 ] . "'" );
		list( $template_set, $template_name, $template_html ) = $database -> dbrow( $query );
		$html -> makeheader( $words_templates[ 'PREVIEW' ] );

		$query = $database -> dbquery( "SELECT templateset_css FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $template_set . "'" );
		list( $templateset_css ) = $database -> dbrow( $query );
		$templateset_css = str_replace( array( "url(", "margin-top: 40px;"), array( "url(../", "margin-top: 0px;" ), $templateset_css );

		echo "<style type=\"text/css\">\n<!--\n" . $templateset_css . "\n-->\n</style>";

		$html -> makepopheader( $words_templates[ 'PREVIEW' ], "preview" );
		$template_html = str_replace( "img src=\"", "img src=\"../", $template_html );

		if ( $template_name == "site_header" )
		{
			echo $template_html;
		}
		else
		{
			echo "<div class=\"altmainpage\">" . $template_html . "</div>";
		}
		echo "<br /><div style=\"text-align: center;\">[<a href=\"javascript:self.close()\">" . $words_templates[ 'CLOSE_WINDOW' ] . "</a>]</div>";
		$html -> makemainfooter();
		$html -> makefooter();
	}


	if( $options[ 0 ] == "restoretemplate" )
	{
		$query = $database -> dbquery( "SELECT templateundo_template, templateundo_html, templateundo_php, templateundo_date FROM " . DB_PREFIX . "esselbach_ct_templatesundo WHERE templateundo_id = '" . $options[ 1 ] . "'" );
		list( $templateundo_template, $templateundo_html, $templateundo_php, $templateundo_date ) = $database -> dbrow( $query );
		$query = $database -> dbquery( "SELECT template_html, template_php, template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_id = '" . $templateundo_template . "'" );
		list( $template_html, $template_php, $template_date ) = $database -> dbrow( $query );
		$template_restore_date = mktime();
		$templateundo_date = date( "Y-m-d H:i:s", $templateundo_date );
		$template_html = $database -> dbescape( $template_html );
		$template_php = $database -> dbescape( $template_php );
		$templateundo_html = $database -> dbescape( $templateundo_html );
		$templateundo_php = $database -> dbescape( $templateundo_php );
		$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_templatesundo (templateundo_id, templateundo_template, templateundo_html, templateundo_php, templateundo_date, templateundo_ip, templateundo_editreason) VALUES (NULL, '" . $templateundo_template . "', '" . $template_html . "', '" . $template_php . "', '" . $template_date . "', '" . $ipaddr . "', '" . $database -> dbescape( $words_templates[ 'RESTORED_FROM' ] ) . " " . $templateundo_date . "')" );
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_templates SET template_html = '" . $templateundo_html . "', template_php = '" . $templateundo_php . "', template_date = '" . $template_restore_date . "', template_editreason = '" . $database -> dbescape( $words_templates[ 'RESTORED_FROM' ] ) . " " . $templateundo_date . "', template_editip = '" . $ipaddr . "' WHERE template_id = '" . $templateundo_template . "'" );
		AdminManageTemplates( "edittemplate-" . $templateundo_template . "-" . $options[ 2 ] );
	}

	if( $options[ 0 ] == "showundotemplate" )
	{
		$query = $database -> dbquery( "SELECT templateundo_html, templateundo_php FROM " . DB_PREFIX . "esselbach_ct_templatesundo WHERE templateundo_id = '" . $options[ 1 ] . "'" );
		list( $templateundo_html, $templateundo_php ) = $database -> dbrow( $query );
		$html -> makeheader( $words_templates[ 'OLDER_TEMPLATE_VERSION' ] );
		$html -> makepopheader( $words_templates[ 'HTML_PART' ], "oldtemplate" );
		echo "<textarea cols=\"70\" rows=\"12\">" . htmlspecialchars( $templateundo_html, ENT_QUOTES, CT_ENCODING ) . "</textarea>";
		$html -> makemainsub( $words_templates[ 'PHP_PART' ] );
		echo "<textarea cols=\"70\" rows=\"12\">" . htmlspecialchars( $templateundo_php, ENT_QUOTES, CT_ENCODING ) . "</textarea>";
		$html -> makemainsub( "" );
		echo "<div style=\"text-align: center;\">[<a href=\"javascript:self.close()\">" . $words_templates[ 'CLOSE_WINDOW' ] . "</a>]</div>";
		$html -> makemainfooter();
		$html -> makefooter();
	}

	if( $options[ 0 ] == "addtemplate" )
	{
		$html -> makeheader( $words_templates[ 'CREATE_NEW_TEMPLATE' ] );

		if( $preferences[ 'templates_editor' ] )
		{
			echo "<script type=\"text/javascript\">
	<!--
	function tab_menu_one()
	{
	    document.getElementById(\"template_html\").style.display = \"\";
	    document.getElementById(\"template_php\").style.display = \"none\";
	}
	function tab_menu_two()
	{
	    document.getElementById(\"template_html\").style.display = \"none\";
	    document.getElementById(\"template_php\").style.display = \"\";
	    editAreaLoader.hide(\"phpWindow\");
	    editAreaLoader.show(\"phpWindow\");
	}
	-->
	</script>";
			$html -> codeinit();
		}
		else
		{
			$html -> tabinit( "template_html", "template_php", "", "", "", "" );
		}

		$html -> makesubheader();
		$html -> makegroupmenu( "templates" );
		$html -> makeformheader( $words_templates[ 'CREATE_NEW_TEMPLATE' ], "add", "addform", "post" );
		$html -> maketabmenu( $words_templates[ 'HTML_PART' ], $words_templates[ 'PHP_PART' ], "", "", "", "" );
		$html -> uppertext( $words_templates[ 'TEMPLATE_NAME' ], "input_template_name", "" );

		if( !$preferences[ 'templates_editor' ] )
		{
			echo "<div id=\"template_html\">";
			$html -> upperform( $words_templates[ 'HTML_PART' ], "input_template_html", "", 36 );
			echo "</div><div id=\"template_php\" style=\"display:none;\">";
			$html -> upperform( $words_templates[ 'PHP_PART' ], "input_template_php", "", 36 );
			echo "</div>";
		}
		else
		{
			if( preg_match( "/WebKit/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
			{
				echo "<div id=\"template_php\" style=\"display:none\">";
			}
			else
			{
				echo "<div id=\"template_php\">";
			}
			$html -> upperformcode( $words_templates[ 'PHP_PART' ], "input_template_php", "", 36, "php" );
			echo "</div><div id=\"template_html\">";
			$html -> upperformcode( $words_templates[ 'HTML_PART' ], "input_template_html", "", 36, "html" );
			echo "</div>";
		}

		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $options[ 2 ] . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddtemplate\" /><input type=\"hidden\" name=\"input_template_set\" value=\"" . $options[ 1 ] . "\" /><input type=\"submit\" class=\"button\" name=\"input_dopreview\" value=\"" . $words_templates[ 'PREVIEW' ] . "\" /><input type=\"submit\" class=\"button\" value=\"" . $words_templates[ 'SUBMIT' ] . "\" />";

		if( !preg_match( "/WebKit/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) and $preferences[ 'templates_editor' ] )
		{
			echo "<script type=\"text/javascript\">
<!--
setTimeout('document.getElementById(\"template_php\").style.display = \"none\";',1500);
-->
</script>
";
		}

		$html -> makeformfooter();
	}

	if( $options[ 0 ] == "edittemplate" )
	{
		$query = $database -> dbquery( "SELECT template_set, template_name, template_html, template_php, template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_id = '" . $options[ 1 ] . "'" );
		list( $template_set, $template_name, $template_html, $template_php, $template_date ) = $database -> dbrow( $query );
		$html -> makeheader( $words_templates[ 'EDIT_TEMPLATE' ] . " " . $template_name );

		$html -> popinit();

		if( $preferences[ 'templates_editor' ] )
		{
			echo "<script type=\"text/javascript\">
<!--
function tab_menu_one()
{
    document.getElementById(\"tabmenuone\").style.backgroundColor = \"rgb(120, 147, 177)\";
    document.getElementById(\"tabmenuone\").getElementsByTagName(\"a\")[0].style.color = \"rgb(255, 255, 255)\";
    document.getElementById(\"template_html\").style.display = \"\";
    document.getElementById(\"tabmenutwo\").style.backgroundColor = \"rgb(227, 237, 251)\";
    document.getElementById(\"tabmenutwo\").getElementsByTagName(\"a\")[0].style.color = \"rgb(0, 0, 0)\";
    document.getElementById(\"template_php\").style.display = \"none\";
}
function tab_menu_two()
{
    document.getElementById(\"tabmenuone\").style.backgroundColor = \"rgb(227, 237, 251)\";
    document.getElementById(\"tabmenuone\").getElementsByTagName(\"a\")[0].style.color = \"rgb(0, 0, 0)\";
    document.getElementById(\"template_html\").style.display = \"none\";
    document.getElementById(\"tabmenutwo\").style.backgroundColor = \"rgb(120, 147, 177)\";
    document.getElementById(\"tabmenutwo\").getElementsByTagName(\"a\")[0].style.color = \"rgb(255, 255, 255)\";
    document.getElementById(\"template_php\").style.display = \"\";
    editAreaLoader.hide(\"phpWindow\");
    editAreaLoader.show(\"phpWindow\");
}
-->
</script>";
			$html -> codeinit();
		}
		else
		{
			$html -> tabinit( "template_html", "template_php", "", "", "", "" );
		}

		$html -> makesubheader();
		$html -> makegroupmenu( "templates" );
		$html -> makeformheader( $words_templates[ 'EDIT_TEMPLATE' ] . " " . $template_name, "edit", "editform", "post" );
		$html -> maketabmenu( $words_templates[ 'HTML_PART' ], $words_templates[ 'PHP_PART' ], "", "", "", "" );

		$template_date = date( "Y-m-d H:i:s", $template_date );

		$query = $database -> dbquery( "SELECT templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $template_set . "'");
		list( $templateset_name ) = $database -> dbrow( $query );
		echo "<a href=\"index.php?action=managetemplates\">" . $words_templates[ 'TEMPLATES' ] . "</a> &#187; <a href=\"index.php?action=managetemplates&amp;opts=showtemplates-" . $template_set . "-" . $options[ 2 ] . "\">" . htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ) . "</a>";
		$template_split = explode( "_", $template_name );
		echo " &#187; <a href=\"index.php?action=managetemplates&amp;opts=showtemplates-" . $template_set . "-" . $options[ 2 ] . "-" . htmlspecialchars( $template_split[ 0 ], ENT_QUOTES, CT_ENCODING ) ."\">" . htmlspecialchars( $template_split[ 0 ], ENT_QUOTES, CT_ENCODING ) . "</a>";				echo " &#187; <a href=\"index.php?action=managetemplates&amp;opts=edittemplate-" . $options [ 1 ] . "-" . $options[ 2 ] ."\">" . htmlspecialchars( $template_name, ENT_QUOTES, CT_ENCODING ) . "</a>";
		echo "<br /><br />";

		if( !$preferences[ 'templates_editor' ] )
		{
			echo "<div id=\"template_html\">";
			$html -> upperform( $words_templates[ 'HTML_PART' ], "input_template_html", $template_html, 36 );
			echo "</div><div id=\"template_php\" style=\"display:none;\">";
			$html -> upperform( $words_templates[ 'PHP_PART' ], "input_template_php", $template_php, 36 );
			echo "</div>";
		}
		else
		{
			if( preg_match( "/WebKit/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) )
			{
				echo "<div id=\"template_php\" style=\"display:none\">";
			}
			else
			{
				echo "<div id=\"template_php\">";
			}
			$html -> upperformcode( $words_templates[ 'PHP_PART' ], "input_template_php", $template_php, 36, "php" );
			echo "</div><div id=\"template_html\">";
			$html -> upperformcode( $words_templates[ 'HTML_PART' ], "input_template_html", $template_html, 36, "html" );
			echo "</div>";
		}

		$html -> upperform( $words_templates[ 'REASON_FOR_EDIT' ], "input_edit_reason", "" , 2 );
		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $options[ 2 ] . "\" /><input type=\"hidden\" name=\"aform\" value=\"doedittemplate\" /><input type=\"hidden\" name=\"input_template_id\" value=\"" . $options[ 1 ] . "\" />" . $words_templates[ 'TEMPLATE_LAST_SAVED' ] . " " . $template_date . "<br /><input type=\"submit\" class=\"button\" name=\"input_dopreview\" value=\"" . $words_templates[ 'PREVIEW' ] . "\" /><input type=\"submit\" class=\"button\" value=\"" . $words_templates[ 'SUBMIT' ] . "\" /><br /><br />";

		if( !preg_match( "/WebKit/i", $_SERVER[ 'HTTP_USER_AGENT' ] ) and $preferences[ 'templates_editor' ] )
		{
			echo "<script type=\"text/javascript\">
<!--
setTimeout('document.getElementById(\"template_php\").style.display = \"none\";',1500);
-->
</script>
";
		}

		if( $preferences[ 'templates_undo' ] )
		{
			$query = $database -> dbquery( "SELECT templateundo_id, templateundo_editreason, templateundo_date FROM " . DB_PREFIX . "esselbach_ct_templatesundo WHERE templateundo_template = '" . $options[ 1 ] . "' ORDER BY templateundo_date DESC LIMIT 25" );

			if( $database -> dbrows( $query ) )
			{
				echo "</div><br /><h2>" . $words_templates[ 'OLDER_VERSIONS' ] . "</h2><div class=\"content\">";
				$html -> tworowstablelite();

				while( list( $templateundo_id, $templateundo_editreason, $templateundo_date ) = $database -> dbrow( $query ) )
				{
					$templateundo_date = date( "Y-m-d H:i:s", $templateundo_date );
					$html -> simpletablemiddleundo( htmlspecialchars( $templateundo_editreason, ENT_QUOTES, CT_ENCODING ) . " (" . $templateundo_date . ")", "javascript:pop_win('index.php?action=managetemplates&amp;opts=showundotemplate-" . $templateundo_id . "-" . $options[ 2 ] . "')", "index.php?action=managetemplates&amp;opts=restoretemplate-" . $templateundo_id . "-" . $options[ 2 ] );
				}

				$html -> maketablefooter();
			}
		}

		$html -> makeformfooter();
	}

	if( $options[ 0 ] == "deletetemplates" )
	{
		if( $options[ 1 ] != $config[ 'DEFAULT_THEME' ] )
		{
			$query = $database -> dbquery( "SELECT templateset_id FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $options[ 1 ] . "'" );

			if( $database -> dbrow( $query ) )
			{
				$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $options[ 1 ] . "'" );
				$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $options[ 1 ] . "'" );
				$html -> login( $words_templates[ 'TEMPLATES' ], $words_templates[ 'SET_REMOVED' ], "index.php?action=managetemplates" );
			}
		}
		else
		{
			$html -> login( $words_templates[ 'TEMPLATES' ], $words_templates[ 'CANT_REMOVE' ], "index.php?action=managetemplates" );
		}
	}

	if( $options[ 0 ] == "showtemplates" )
	{
		$html -> makeheader( $words_templates[ 'TEMPLATES' ] );
		$html -> forminit( "extra_form_close", "extra_form_open" );
		$html -> popinit();

		if( $preferences[ 'templates_editor' ] )
		{
			$html -> codeinit();
		}

		$html -> makesubheader();
		$html -> makegroupmenu( "templates" );
		$html -> makeformheader( $words_templates[ 'SEARCH_TEMPLATES' ], "show", "showform", "post" );
		echo $words_templates[ 'SEARCH_FOR' ] . " <input type=\"hidden\" name=\"aform\" value=\"searchtemplates\" /><input name=\"input_search_for\" size=\"32\" /> ";
		echo $words_templates[ 'IN_TEMPLATE_SET' ] . " <select size=\"1\" name=\"input_template_set\">";
		$query = $database -> dbquery( "SELECT templateset_id, templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE NOT(templateset_id = '-1')" );

		while( list( $templateset_id, $templateset_name ) = $database -> dbrow( $query ) )
		{
			( $templateset_id == $options[ 1 ] ) ? $checked = "selected=\"selected\" " : $checked = "";
			echo "<option " . $checked . "value=\"" . $templateset_id . "\">" . htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ) . "</option>";
		}

		echo "</select><input type=\"submit\" class=\"button\" value=\"" . $words_templates[ 'SUBMIT' ] . "\" /><br /><br />";
		echo "<a href=\"index.php?action=managetemplates&amp;opts=addtemplate-" . $options[ 1 ] . "-" . $options[ 3 ] . "\">" . $words_templates[ 'CLICK_HERE' ] . "</a> " . $words_templates[ 'TO_CREATE_A_NEW_TEMPLATE' ] . "<br /><br />";

		$query = $database -> dbquery( "SELECT templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE templateset_id = '" . $options[ 1 ] . "'");
		list( $templateset_name ) = $database -> dbrow( $query );
		echo "</div><br /><h1>" . $words_templates[ 'TEMPLATE_SETS' ] . " " . htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ) . "</h1><div class=\"contentwide\">";

		echo "<a href=\"index.php?action=managetemplates\">" . $words_templates[ 'TEMPLATES' ] . "</a> &#187; <a href=\"index.php?action=managetemplates&amp;opts=showtemplates-" . $options[ 1 ] . "-" . $options[ 2 ] . "\">" . htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ) . "</a>";

		if ( $options[ 3 ] )
		{
			if( $options[ 3 ] != "recent_templates" )
			{
				echo " &#187; <a href=\"index.php?action=managetemplates&amp;opts=showtemplates-" . $options[ 1 ] . "-" . $options[ 2 ] . "-" . $options[ 3 ] ."\">" . $options[ 3 ] . "</a>";
			}
		}
		else
		{
			echo " [<a href=\"index.php?action=managetemplates&amp;opts=showtemplates-" . $options[ 1 ] . "-" . $options[ 2 ] . "-recent_templates\">" . $words_templates[ 'RECENTLY_CHANGED' ] . "</a>]";
		}

		echo "<br /><br />";

		$query = $database -> dbquery( "SELECT templatecat_name, templatecat_desc FROM " . DB_PREFIX . "esselbach_ct_templatescat" );

		while( list( $templatecat_name, $templatecat_desc ) = $database -> dbrow( $query ) )
		{
			$template_category_description[ strtoupper( $templatecat_name ) ] = $templatecat_desc;
		}

		$templates_in_category = 0;
		$template_date_oneweek = mktime() - 604800;

		if( $options[ 3 ] == "recent_templates")
		{
			$query = $database -> dbquery( "SELECT template_id, template_name, template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $options[ 1 ] . "' ORDER BY template_date DESC LIMIT 100" );
		}
		elseif( $options[ 3 ] )
		{
			$query = $database -> dbquery( "SELECT template_id, template_name, template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $options[ 1 ] . "' AND (template_name LIKE '" . $options[ 3 ] . "%') ORDER BY template_name" );
		}
		else
		{
			$query = $database -> dbquery( "SELECT template_id, template_name, template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $options[ 1 ] . "' ORDER BY template_name" );
		}

		if( $database -> dbrows( $query ) )
		{
			$html -> tworowstable( "", "" );
			$old_template_category[ 0 ] = "";

			while( list( $template_id, $template_name, $template_date ) = $database -> dbrow( $query ) )
			{
				$template_category = explode( "_", $template_name );

				if( $options[ 3 ] == "recent_templates" )
				{
					if( !isset( $recent ) )
					{
						$recent = <<<Middle
	<tr>
	  <td class="table1">
		<strong>{$words_templates[ 'RECENTLY_TEMPLATES' ]}</strong>
		<br />
		{$words_templates[ 'RECENTLY_TEMPLATES_DESC' ]}
      </td>
	  <td class="table1">
		<br />
      </td>
	</tr>
Middle;
						echo $recent;
					}
				}
				elseif( $template_category[ 0 ] != $old_template_category[ 0 ] )
				{
					if( $old_template_category[ 0 ] )
					{
						$html -> simpletablemiddleeditonly( $templates_in_category . " " . $words_templates[ '_TEMPLATES' ], "index.php?action=managetemplates&amp;opts=showtemplates-" . $options[ 1 ] . "-" . $options[ 2 ] . "-" . strtolower( $old_template_category[ 0 ] ) );
						$templates_in_category = 0;
					}

					$template_category_output = strtoupper( htmlspecialchars( $template_category[ 0 ], ENT_QUOTES, CT_ENCODING ) );
					( isset( $template_category_description[ $template_category_output ] ) ) ? $template_description_output = $template_category_description[ $template_category_output ] : $template_description_output = $words_templates[ 'NO_DESCRIPTION_AVAILABLE' ];
					echo <<<Middle
	<tr>
	  <td class="table1">
		<strong>{$template_category_output}</strong>
		<br />
		{$template_description_output}
      </td>
	  <td class="table1">
		<br />
      </td>
	</tr>
Middle;
				}

				if( $options[ 3 ] )
				{
					if( $template_date > $template_date_oneweek )
					{
						$html -> simpletablemiddlepreview( "<div class=\"status\">" . date( "Y-m-d", $template_date) . "</div> <strong>" . $template_name . "</strong>", "index.php?action=managetemplates&amp;opts=edittemplate-" . $template_id . "-" . $options[ 2 ], "javascript:pop_win('index.php?action=managetemplates&amp;opts=previewtemplate-" . $template_id . "-" . $options[ 2 ] . "')" );
					}
					else
					{
						$html -> simpletablemiddlepreview( "<div class=\"status\">" . date( "Y-m-d", $template_date) . "</div> " . $template_name, "index.php?action=managetemplates&amp;opts=edittemplate-" . $template_id . "-" . $options[ 2 ], "javascript:pop_win('index.php?action=managetemplates&amp;opts=previewtemplate-" . $template_id . "-" . $options[ 2 ] . "')" );
					}
				}
				else
				{
					$templates_in_category++;
				}

				$old_template_category = explode( "_", $template_name );
			}

			if( !$options[ 3 ] )
			{
				$html -> simpletablemiddleeditonly( $templates_in_category . " " . $words_templates[ '_TEMPLATES' ], "index.php?action=managetemplates&amp;opts=showtemplates-" . $options[ 1 ] . "-" . $options[ 2 ] . "-" . strtolower( $old_template_category[ 0 ] ) );
			}

			$html -> table5close( "&nbsp;" );
			$html -> maketablefooter();
		}

		$html -> makesubfooter();
		$html -> makesubfooter();
	}

	if( !$options[ 0 ] )
	{
		$security_hash = $system -> adminhashput();

		$html -> makeheader( $words_templates[ 'MANAGE_TEMPLATES' ] );
		$html -> deleteinit( $words_templates[ 'ARE_YOU_SURE' ] );
		$html -> checkinit();
		$html -> makesubheader();
		$html -> makegroupmenu( "templates" );

		$query = $database -> dbquery( "SELECT template_id FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '-1'" );
		$master_templates = $database -> dbrows( $query );
		$query = $database -> dbquery( "SELECT template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '-1' ORDER BY template_date DESC LIMIT 1" );
		list( $master_last_updated ) = $database -> dbrow( $query );

		echo "<div class = \"maincontent\" id = \"templates\"><div class = \"mainblock\" id = \"templates\"><h1>" . $words_templates[ 'MANAGE_TEMPLATES' ] . "</h1>";
		$html -> table5header( $words_templates[ 'TEMPLATE_SETS_ID' ], $words_templates[ 'TEMPLATE_SETS' ], "<div style=\"text-align: center;\">" . $words_templates[ 'TEMPLATES' ] . "</div>", $words_templates[ 'LAST_UPDATED' ] );

		$query = $database -> dbquery( "SELECT templateset_id, templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE NOT(templateset_id = '-1') ORDER BY templateset_id" );

		if( $database -> dbrows( $query ) )
		{
			while( list( $templateset_id, $templateset_name ) = $database -> dbrow( $query ) )
			{
				$squery = $database -> dbquery( "SELECT template_id FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $templateset_id . "'" );
				$templates = $database -> dbrows( $squery );

				$squery = $database -> dbquery( "SELECT template_date FROM " . DB_PREFIX . "esselbach_ct_templates WHERE template_set = '" . $templateset_id . "' ORDER BY template_date DESC LIMIT 1" );
				list( $last_updated ) = $database -> dbrow( $squery );

				$sync_templates = ( $templates < $master_templates ) ? " color: rgb(255, 0, 0);" : "" ;
				$sync_last_updated = ( $last_updated < $master_last_updated ) ? "<div style=\"color: rgb(255, 0, 0);\">" . date( "Y-m-d H:i:s", $last_updated ) . "</div>" : date( "Y-m-d H:i:s", $last_updated ) ;

				$html -> table5middle( $templateset_id, htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ), "<div style=\"text-align: center;" . $sync_templates . "\">" . $templates . "</div>", $sync_last_updated, "managetemplates&amp;opts=showtemplates-" . $templateset_id . "-" . $security_hash, "managetemplates&amp;opts=deletetemplates-" . $templateset_id . "-" . $security_hash );
			}
		}
		$html -> table5close( "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"templatesoptions\" /><select size=\"1\" name=\"input_option\"><optgroup label=\"" . $words_templates[ 'SYNC_TEMPLATES' ] . "\"><option value=\"0\">" . $words_templates[ 'COPY_NEW_TEMPLATES_FROM_MASTER' ] . "</option><option value=\"1\">" . $words_templates[ 'COPY_AND_UPDATE_TEMPLATES_FROM_MASTER' ] . "</option></optgroup></select><input type=\"submit\" class=\"button\" value=\"" . $words_templates[ 'GO' ] . "\" /></form>" );
		$html -> maketablefooter();

		$html -> makemainsubform( $words_templates[ 'CREATE_NEW_SET' ] );
		$html -> makeeoption( $words_templates[ 'NEW_SET_NAME' ], "input_new_set_name", "" );
		$query = $database -> dbquery( "SELECT templateset_id, templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets" );
		echo $words_templates[ 'USING_TEMPLATE_SET' ] . " <select size=\"1\" name=\"input_import_set\">";

		while( list( $templateset_id, $templateset_name ) = $database -> dbrow( $query ) )
		{
			if( $templateset_id == "-1" )
			{
				$templateset_name = $words_templates[ 'MASTER' ];
			}
			echo "<option value=\"" . $templateset_id . "\">" . htmlspecialchars( $templateset_name, ENT_QUOTES, CT_ENCODING ) . "</option>";
		}

		echo "</select> ";
		$query = $database -> dbquery( "SELECT templatelang_id, templatelang_name FROM " . DB_PREFIX . "esselbach_ct_templateslangs" );
		echo $words_templates[ 'AND_LANGUAGE' ] . " <select size=\"1\" name=\"input_import_lang\">";
		echo "<option value=\"0\">" . $words_templates[ 'DEFAULT' ] . "</option>";

		while( list( $templatelang_id, $templatelang_name ) = $database -> dbrow( $query ) )
		{
			echo "<option value=\"" . $templatelang_id . "\">" . htmlspecialchars( $templatelang_name, ENT_QUOTES, CT_ENCODING ) . "</option>";
		}

		echo "</select> ";
		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddset\" /><input type=\"submit\" class=\"button\" value=\"" . $words_templates[ 'SUBMIT' ] . "\" />";
		$html -> makeformfooter();
	}
}
?>